%define driverversion 5.2
%define gutenprintmajor 2
%define libgutenprint %mklibname gutenprint %{gutenprintmajor}
%define devgutenprint %mklibname gutenprint -d
%define gutenprintui2major 1
%define libgutenprintui2 %mklibname gutenprintui2_ %{gutenprintui2major}
%define devgutenprintui2 %mklibname gutenprintui2 -d

%define cups_serverbin %{_exec_prefix}/lib/cups

%define _disable_ld_no_undefined 1

Summary:	Photo-quality printer drivers primarily for inkjet printers
Name:		gutenprint
Version:	5.2.11
Release:	1
License:	GPLv2+
Group:		Publishing
Url:		http://gimp-print.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/gimp-print/%{name}-%{driverversion}/%{version}/%{name}-%{version}.tar.bz2
Patch1:		gutenprint-5.0.1-menu.patch
Patch2:		gutenprint-5.2.9-fix-brother-hl-2030-support.patch
Patch3:		gutenprint-5.2.3-default-a4.patch
Patch4:		gutenprint-5.2.9-m4dir.patch
Patch5:		gutenprint-5.2.11-ijs-config.patch
BuildRequires:	autoconf2.5
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	foomatic-db
BuildRequires:	foomatic-db-engine
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ijs)
BuildRequires:	pkgconfig(libtiff-4)

%description
Gutenprint is a high quality printer driver suite for photo-quality
printing on inkjet printers, especially Epson. There are also some
Canon, HP, and Lexmark inkjets (older models) and PCL bw laser
printers supported (PCL 5e and earlier). If your printer is supported
by Gutenprint and not an HP printer supported by HPIJS, this is the
best choice of a free software printer driver.

Keep in mind that the leader of this project is hobby photographer and
wanted to get his 6-ink Epson Stylus Photo EX working in its best
quality without necessity of proprietary software.

#----------------------------------------------------------------------------

%package -n %{libgutenprint}
Summary:	Shared library for high-quality image printing
Group:		Publishing
Provides:	libgutenprint = %{EVRD}

%description -n %{libgutenprint}
This is a high-quality printing library used by the Gutenprint plugin,
the Gutenprint IJS color/photo inkjet/laser driver for GhostScript,
and by specialized CUPS drivers.

%files -n %{libgutenprint}
%{_libdir}/libgutenprint.so.%{gutenprintmajor}*

#----------------------------------------------------------------------------

%package -n %{devgutenprint}
Summary:	Headers and links for compiling against libgutenprint
Group:		Development/C
Requires:	%{libgutenprint} = %{EVRD}
Provides:	libgutenprint-devel = %{EVRD}
Provides:	gutenprint-devel = %{EVRD}
Conflicts:	%{_lib}gutenprint2-devel < 5.2.9-6
Obsoletes:	%{_lib}gutenprint2-devel < 5.2.9-6

%description -n %{devgutenprint}
These are the links and header files to compile applications which
should use the libgutenprint library.

%files -n %{devgutenprint}
%{_libdir}/libgutenprint.so
%{_libdir}/libgutenprint.a
%{_libdir}/pkgconfig/gutenprint.pc
%{_includedir}/gutenprint

#----------------------------------------------------------------------------

%package -n %{libgutenprintui2}
Summary:	Shared library for Gutenprint GUI with GTK 2.x
Group:		Publishing
Provides:	libgutenprintui2 = %{EVRD}

%description -n %{libgutenprintui2}
This is a GTK-2.x-based GUI library to create dialogs to control
the Gutenprint printer drivers.

%files -n %{libgutenprintui2}
%{_libdir}/libgutenprintui2.so.%{gutenprintui2major}*

#----------------------------------------------------------------------------

%package -n %{devgutenprintui2}
Summary:	Headers and links for compiling against libgutenprintui2
Group:		Development/C
Requires:	%{libgutenprintui2} = %{EVRD}
Provides:	libgutenprintui2-devel = %{EVRD}
Conflicts:	%{_lib}gutenprintui2_1-devel < 5.2.9-6
Obsoletes:	%{_lib}gutenprintui2_1-devel < 5.2.9-6

%description -n %{devgutenprintui2}
These are the links and header files to compile applications which
should use the libgutenprintui2 library.

%files -n %{devgutenprintui2}
%{_libdir}/libgutenprintui2.so
%{_libdir}/libgutenprintui2.a
%{_libdir}/pkgconfig/gutenprintui2.pc
%{_includedir}/gutenprintui2

#----------------------------------------------------------------------------

%package common
Summary:	Documentation, samples and translations of Gutenprint
Group:		Publishing
Provides:	gimpprint-common = %{EVRD}

%description common
Documentation, sample files, and translations of Gutenprint.

%files common -f gutenprint.lang
%doc ABOUT-NLS AUTHORS NEWS README
%{_bindir}/testpattern
%{_datadir}/gutenprint

#----------------------------------------------------------------------------

%package cups
Summary:	Special CUPS printer driver of Gutenprint
Group:		Publishing
Requires:	cups
Requires:	gutenprint-common = %{EVRD}
Provides:	gimpprint-cups = %{EVRD}

%description cups
This package contains a special Gutenprint printer driver to be used
with CUPS (and without GhostScript) and also the appropriate PPD files
to set up print queues with this driver.

With the Gutenprint CUPS drivers you can do a colour caibration. Use
the program "cups-calibrate" to perform it.

%files cups
%{_mandir}/man8/cups-*
%{_bindir}/cups-*
%{_sbindir}/cups-*
%{_datadir}/cups/calibrate.ppm
%attr(0755,root,root) %{_prefix}/lib*/cups/driver/gutenprint.%{driverversion}
%attr(0755,root,root) %{_prefix}/lib*/cups/filter/*
%config(noreplace) %{_sysconfdir}/cups/command.*

%post cups
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
/sbin/service cups condrestart || :
# Update print queues with Gutenprint CUPS driver
/usr/sbin/cups-genppdupdate > /dev/null 2>/dev/null || :

%postun cups
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
# Do not restart on upgrades, as it is already restarted by post section.
if [ $1 -eq 1 ]; then
	/sbin/service cups condrestart || :
fi

#----------------------------------------------------------------------------

%package ijs
Summary:	Gutenprint IJS plugin for GhostScript
Group:		Publishing
Requires:	ghostscript
Requires:	gutenprint-common = %{EVRD}
Provides:	gimpprint-ijs = %{EVRD}

%description ijs
This package contains a Gutenprint plugin for GhostScripts IJS
interface. This gives access to the high printing quality of
Gutenprint with every GhostScript version containing the IJS
interface. Install also the gutenprint-foomatic package for easy setup
of print queues with arbitrary printing systems.

%files ijs
%{_mandir}/man1/ijsgutenprint.1*
%{_bindir}/ijsgutenprint*

#----------------------------------------------------------------------------

%package foomatic
Summary:	Foomatic data for Gutenprint IJS plugin for GhostScript
Group:		Publishing
Requires:	foomatic-db
Requires:	foomatic-db-engine
Provides:	gimpprint-foomatic = %{EVRD}

%description foomatic
Foomatic data for the Gutenprint IJS plug-in for GhostScript. You need
this package to set up print queues with printerdrake, KDE Printing
Manager, or directly with Foomatic.

%files foomatic
%{_datadir}/foomatic/db/*/*/*.xml

%post foomatic
# Update print queues with Gimp-Print/Gutenprint IJS driver
ls /etc/cups/ppd/*.ppd > /dev/null 2>&1 && \
for f in /etc/cups/ppd/*.ppd; do \
	queue=`basename ${f%%.ppd}`; \
	grep -E -q '\*FoomaticIDs.*(gimp-print|gutenprint)' $f && \
		foomatic-configure -n $queue -f \
			-d gutenprint-ijs.%{driverversion} \
			>/dev/null 2>&1 || :; \
done
exit 0

#----------------------------------------------------------------------------

%package escputil
Summary:	Gutenprint ink level monitor and printer maintenance tool
Group:		Publishing
Requires:	gutenprint-common
Provides:	gimpprint-escputil

%description escputil
This is a command line tool to query ink levels and to maintain
Epson's inkjet printers. It allows ink level query, head alignment,
nozzle checking, and nozzle cleaning. If you want a graphical
interface, use mtink instead.

%files escputil
%{_mandir}/man1/escputil*
%attr(0755,lp,sys) %{_bindir}/escputil

#----------------------------------------------------------------------------

%package gimp2
Summary:	Gutenprint plugin for high-quality image printing
Group:		Publishing
Requires:	gimp
Requires:	gutenprint-common
Provides:	gimpprint-gimp2 = %{EVRD}

%description gimp2
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

%files gimp2
%{_libdir}/gimp/2.0/plug-ins/gutenprint

#----------------------------------------------------------------------------

%prep
%setup -q -n gutenprint-%{version}
%patch1 -p1 -b .menu
%patch2 -p0 -b .bro
%patch3 -p1 -b .a4
%patch4 -p1
%patch5 -p0

%build
autoreconf -fi
%configure2_5x \
	--enable-shared \
	--disable-rpath \
	--disable-libgutenprintui \
	--enable-libgutenprintui2 \
	--without-gimp \
	--with-gimp2 \
	--with-cups \
	--enable-cups-level3-ppds \
	--enable-simplified-cups-ppds \
	--disable-static-genppd \
	--disable-translated-cups-ppds \
	--with-ijs \
	--with-foomatic \
	--with-foomatic3

%make

%install
%makeinstall_std

# Remove /usr/share/foomatic/kitload.log
rm -f %{buildroot}%{_datadir}/foomatic/kitload.log

# Remove "canon" and "epson" CUPS backends
rm -f %{buildroot}%{_prefix}/lib*/cups/backend/canon
rm -f %{buildroot}%{_prefix}/lib*/cups/backend/epson

# Remove a GTK-1.x file which is installed even when GTK-1.x support
# is disabled (Gutenprint bug)
rm -f %{buildroot}%{_libdir}/pkgconfig/gutenprintui.pc

# Fix up rpath.
for file in \
  %{buildroot}%{_sbindir}/cups-genppd.5.2 \
  %{buildroot}%{_libdir}/gimp/*/plug-ins/* \
  %{buildroot}%{_libdir}/*.so.* \
  %{buildroot}%{cups_serverbin}/driver/* \
  %{buildroot}%{cups_serverbin}/filter/* \
  %{buildroot}%{_bindir}/*
do
  chrpath --delete ${file}
done


# Translation files of Gutenprint
find %{buildroot} -regex ".*/gutenprint.*.[mp]o" | sed -e "s@^%{buildroot}@@" > gutenprint.lang


%changelog

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.2.11-1
- (4a0c096) Update files


